Loading...
Searching...
No Matches
juce::MPEChannelRemapper Class Reference

## Detailed Description

This class handles the logic for remapping MIDI note messages from multiple MPE sources onto a specified MPE zone.

The documentation for this class was generated from the following file:

- juce_audio_basics/mpe/juce_MPEUtils.h

## Public Member Functions

| MPEChannelRemapper (MPEZoneLayout::Zone zoneToRemap)
| Constructor.
void | remapMidiChannelIfNeeded (MidiMessage &message, uint32 mpeSourceID) noexcept
| Remaps the MIDI channel of the specified MIDI message (if necessary).
void | reset () noexcept
| Resets all the source & channel combinations.
void | clearChannel (int channel) noexcept
| Clears a specified channel of this MPE zone.
void | clearSource (uint32 mpeSourceID)
| Clears all channels in use by a specified source.

## Static Public Attributes

static const uint32 | notMPE = 0
| Used to indicate that a particular source & channel combination is not currently using MPE.

## Constructors and Destructors

## MPEChannelRemapper()

juce::MPEChannelRemapper::MPEChannelRemapper | ( | MPEZoneLayout::Zone | zoneToRemap | ) |

Constructor.

## Member Functions

## remapMidiChannelIfNeeded()

void juce::MPEChannelRemapper::remapMidiChannelIfNeeded | ( | MidiMessage & | message,
|  | uint32 | mpeSourceID )

noexcept

Remaps the MIDI channel of the specified MIDI message (if necessary).

Note that the MidiMessage object passed in will have it's channel changed if it needs to be remapped.

Parameters

  message | the message to be remapped
  mpeSourceID | the ID of the MPE source of the message. This is up to the user to define and keep constant

## reset()

void juce::MPEChannelRemapper::reset | ( |  | ) |

noexcept

Resets all the source & channel combinations.

## clearChannel()

void juce::MPEChannelRemapper::clearChannel | ( | int | channel | ) |

noexcept

Clears a specified channel of this MPE zone.

References clearChannel().

Referenced by clearChannel().

## clearSource()

void juce::MPEChannelRemapper::clearSource | ( | uint32 | mpeSourceID | ) |

Clears all channels in use by a specified source.

References clearSource().

Referenced by clearSource().

## Member Data Documentation

## notMPE

const uint32 juce::MPEChannelRemapper::notMPE = 0

static

Used to indicate that a particular source & channel combination is not currently using MPE.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited